package com.jojubanking.boot.module.system.service.order;

import java.util.*;
import javax.validation.*;
import com.jojubanking.boot.module.system.controller.admin.order.vo.*;
import com.jojubanking.boot.module.system.dal.dataobject.order.OrderDO;
import com.jojubanking.boot.framework.common.pojo.PageResult;

/**
 * 检查项目订单 Service 接口
 *
 * @author admin
 */
public interface OrderService {

    /**
     * 创建检查项目订单
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createOrder(@Valid OrderCreateReqVO createReqVO);

    /**
     * 更新检查项目订单
     *
     * @param updateReqVO 更新信息
     */
    void updateOrder(@Valid OrderUpdateReqVO updateReqVO);
    public void updateOrderByPay(OrderDO tjOrderDO);
    public void updateOrderByNotify(OrderDO tjOrderDO);

    public void updateOrderAfter24();
    /**
     * 删除检查项目订单
     *
     * @param id 编号
     */
    void deleteOrder(Long id);

    /**
     * 获得检查项目订单
     *
     * @param id 编号
     * @return 检查项目订单
     */
    OrderDO getOrder(Long id);

    /**
     * 获得检查项目订单列表
     *
     * @param ids 编号
     * @return 检查项目订单列表
     */
    List<OrderDO> getOrderList(Collection<Long> ids);

    /**
     * 获得检查项目订单分页
     *
     * @param pageReqVO 分页查询
     * @return 检查项目订单分页
     */
    PageResult<OrderDO> getOrderPage(OrderPageReqVO pageReqVO);

    /**
     * 获得检查项目订单列表, 用于 Excel 导出
     *
     * @param exportReqVO 查询条件
     * @return 检查项目订单列表
     */
    List<OrderDO> getOrderList(OrderExportReqVO exportReqVO);

    List<OrderSumRespVO> getOrderSumList(String batchno, String schoolName, String className,
                                         String itemname, Integer sex, String dateRangeStart, String dateRangeEnd);


}
